Subject: Re: How to manage merges from one line while excluding its merges from another

From: Jonathan Nieder <[email-masked]>
Date: Fri, 25 Jun 2010 19:51:52 -0500

Lane Brooks wrote:

> I'll take a look at your suggested cherry-pick script. Can it be
> rerun multiple times or is it run one-time only. In others, as
> 'devel' continues to grow can I run it again and will it cherry-pick
> intelligently or will it try to reapply commits already
> cherry-picked?

Good point.

  git cherry my devel main |
  grep -v ^- |
  while read mark rev
  do
	git cherry-pick $rev ||
	{
		echo >&2 cherry-pick failed
		break
	}
 done

I hadn’t known about the third argument to ‘git cherry’ before.
Thanks for the example.